package com.ekingwin.bas.cloud.solr.web;

import java.util.List;

import org.springframework.http.HttpHeaders;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import io.swagger.annotations.Api;

@RestController
@RequestMapping("/kong")
@Api("空测试的api")
public class KongTestController {
	

	@RequestMapping(value = "/getData", method = RequestMethod.GET)
	public String getData(@RequestHeader HttpHeaders headers)  {
		List<String> username=headers.get("X-Credential-Username");
		return "getData:"+username;
	}
	@RequestMapping(value = "/postData", method = RequestMethod.POST)
	public String postData(@RequestHeader HttpHeaders headers)  {
		List<String> username=headers.get("X-Credential-Username");
		return "postData"+username;
	}

	

}
